%define	upstream_name 	 Mail-Sendmail
%define	upstream_version 0.80

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Simple platform-independent mailer
License:    GPL
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/M/MI/MIVKOVIC/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Digest::MD5)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(MIME::Base64)
BuildRequires: perl(Socket)
BuildRequires: perl(Sys::Hostname)
BuildRequires: perl(Time::Local)
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(vars)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Mail-Sendmail is a Perl module for sending mail through a sendmail SMTP
server.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/*/*
%{perl_vendorlib}/Mail

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.800.0-6.mga10
+ Revision: 2204017
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.800.0-5.mga9
+ Revision: 1809586
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.800.0-4.mga8
+ Revision: 1505047
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 0.800.0-3.mga7
+ Revision: 1284744
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 0.800.0-2.mga7
+ Revision: 1165288
- rebuild with fixed rpm for missing autodeps

* Tue Sep 19 2017 tv <tv> 0.800.0-1.mga7
+ Revision: 1155612
- update to 0.80

* Sun Jun 19 2016 pterjan <pterjan> 0.791_600-7.mga6
+ Revision: 1029511
- Rebuild for perl 5.22.2

* Sat Feb 06 2016 umeabot <umeabot> 0.791_600-6.mga6
+ Revision: 940707
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.791_600-5.mga5
+ Revision: 744246
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.791_600-4.mga5
+ Revision: 685325
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.791_600-3.mga4
+ Revision: 512742
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.791_600-2.mga3
+ Revision: 369430
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 20 2011 jquelin <jquelin> 0.791_600-1.mga1
+ Revision: 26519
- mageia rebuild
- imported package perl-Mail-Sendmail


* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 0.791_600-1mdv2010.1
+ Revision: 403844
- rebuild using %%perl_convert_version

* Sat Mar 07 2009 Antoine Ginies <aginies@mandriva.com> 0.79.16-5mdv2009.1
+ Revision: 351897
- rebuild

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 0.79.16-4mdv2009.0
+ Revision: 223811
- rebuild

* Thu Mar 06 2008 Oden Eriksson <oeriksson@mandriva.com> 0.79.16-3mdv2008.1
+ Revision: 180473
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Aug 17 2007 Thierry Vignaud <tv@mandriva.org> 0.79.16-2mdv2008.0
+ Revision: 64787
- rebuild


* Mon Feb 12 2007 Stew Benedict <sbenedict@mandriva.com> 0.79.16-1mdv2007.0
+ Revision: 120105
- 0.79.16

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - Import perl-Mail-Sendmail

* Sat Jan 21 2006 Michael Scherer <misc@mandriva.org> 0.79-4mdk
- Rebuild to fix 20764 
- use mkrel
- fix rpmlint warning about distribution, and apply perl policy

